﻿<sld:StyledLayerDescriptor version="1.1.0"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:gml="http://www.opengis.net/gml"
	xmlns:se="http://www.opengis.net/se"
	xmlns:ogc="http://www.opengis.net/ogc"
	xmlns:sld="http://www.opengis.net/sld"
	xsi:schemaLocation="http://www.opengis.net/sld
	http://schemas.opengis.net/sld/1.1.0/StyledLayerDescriptor.xsd">

	<sld:NamedLayer>
		<se:Name>ornito</se:Name>
		
		<!-- filter by countries -->
		<sld:LayerFeatureConstraints>
			<sld:FeatureTypeConstraint>
				<ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">
					<ogc:PropertyIsEqualTo>
						<ogc:PropertyName>country</ogc:PropertyName>
						<ogc:Literal>france</ogc:Literal>
					</ogc:PropertyIsEqualTo>
				</ogc:Filter>
			</sld:FeatureTypeConstraint>
		</sld:LayerFeatureConstraints>

		<!-- style by species -->
		<sld:UserStyle>
			<se:Name>species</se:Name>
			<se:FeatureTypeStyle>
				<se:Rule>
					<se:Name>goose</se:Name>
					<ogc:Filter>
						<ogc:PropertyIsEqualTo>
							<ogc:PropertyName>species</ogc:PropertyName>
							<ogc:Literal>goose</ogc:Literal>
						</ogc:PropertyIsEqualTo>
					</ogc:Filter> 
					<se:PointSymbolizer>
						<se:Graphic>
							<se:Mark>
								<se:WellKnownName>circle</se:WellKnownName> 
								<se:Fill>
									<se:SvgParameter name="fill">#ff0000</se:SvgParameter> 
								</se:Fill>
								<se:Stroke>
									<se:SvgParameter name="stroke">#000000</se:SvgParameter> 
									<se:SvgParameter name="stroke-width">1.0</se:SvgParameter> 
								</se:Stroke>
							</se:Mark>
							<se:Size>5.0</se:Size> 
						</se:Graphic>
					</se:PointSymbolizer>
				</se:Rule>
				<se:Rule>
					<se:Name>duck</se:Name>
					<ogc:Filter>
						<ogc:PropertyIsEqualTo>
							<ogc:PropertyName>species</ogc:PropertyName>
							<ogc:Literal>duck</ogc:Literal>
						</ogc:PropertyIsEqualTo>
					</ogc:Filter> 
					<se:PointSymbolizer>
						<se:Graphic>
							<se:Mark>
								<se:WellKnownName>circle</se:WellKnownName> 
								<se:Fill>
									<se:SvgParameter name="fill">#8DD3C7</se:SvgParameter> 
								</se:Fill>
								<se:Stroke>
									<se:SvgParameter name="stroke">#000000</se:SvgParameter> 
									<se:SvgParameter name="stroke-width">1.0</se:SvgParameter> 
								</se:Stroke>
							</se:Mark>
							<se:Size>5.0</se:Size> 
						</se:Graphic>
					</se:PointSymbolizer>
				</se:Rule>
			</se:FeatureTypeStyle>
		</sld:UserStyle>

	</sld:NamedLayer>
</sld:StyledLayerDescriptor>
